Package org.apache.storm.utils

## Class ServerConfigUtils

- java.lang.Object
- - org.apache.storm.utils.ServerConfigUtils

-     public class ServerConfigUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FILE_SEPARATOR` |
    `static String` | `NIMBUS_DO_NOT_REASSIGN` |
    `static String` | `RESOURCES_SUBDIR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerConfigUtils()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `absoluteHealthCheckDir​(Map<String,​Object> conf)` |
    `static int` | `getLocalizerUpdateBlobInterval​(Map<String,​Object> conf)` |
    `static File` | `getLogMetaDataFile​(String fname)` |
    `static File` | `getLogMetaDataFile​(Map<String,​Object> conf, String id, Integer port)` |
    `static List<String>` | `getTopoLogsGroups​(Map<String,​Object> topologyConf)` |
    `static List<String>` | `getTopoLogsUsers​(Map<String,​Object> topologyConf)` |
    `static String` | `masterInbox​(Map<String,​Object> conf)` |
    `static String` | `masterInimbusDir​(Map<String,​Object> conf)` |
    `static String` | `masterLocalDir​(Map<String,​Object> conf)` |
    `static String` | `masterStormDistRoot​(Map<String,​Object> conf)` |
    `static String` | `masterStormDistRoot​(Map<String,​Object> conf, String stormId)` |
    `static String` | `masterStormJarPath​(String stormRoot)` |
    `static LocalState` | `nimbusTopoHistoryState​(Map<String,​Object> conf)` |
    `LocalState` | `nimbusTopoHistoryStateImpl​(Map<String,​Object> conf)` |
    `static ServerConfigUtils` | `setInstance​(ServerConfigUtils u)` | Provide an instance of this class for delegates to use.
    `static String` | `supervisorIsupervisorDir​(Map<String,​Object> conf)` |
    `static LocalState` | `supervisorState​(Map<String,​Object> conf)` |
    `LocalState` | `supervisorStateImpl​(Map<String,​Object> conf)` |
    `static String` | `supervisorTmpDir​(Map<String,​Object> conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_SEPARATOR

          public static final String FILE_SEPARATOR

    - #### NIMBUS_DO_NOT_REASSIGN

          public static final String NIMBUS_DO_NOT_REASSIGN

      See Also:
        Constant Field Values

    - #### RESOURCES_SUBDIR

          public static final String RESOURCES_SUBDIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerConfigUtils

          public ServerConfigUtils()

  - ### Method Detail

    - #### setInstance

          public static ServerConfigUtils setInstance​(ServerConfigUtils u)

      Provide an instance of this class for delegates to use. To mock out delegated methods, provide an instance of a subclass that overrides the implementation of the delegated method.
      Parameters:
        `u` - a ServerConfigUtils instance
      Returns:
        the previously set instance

    - #### masterLocalDir

          public static String masterLocalDir​(Map<String,​Object> conf)
                                       throws IOException

      Throws:
        `IOException`

    - #### masterInimbusDir

          public static String masterInimbusDir​(Map<String,​Object> conf)
                                         throws IOException

      Throws:
        `IOException`

    - #### nimbusTopoHistoryState

          public static LocalState nimbusTopoHistoryState​(Map<String,​Object> conf)
                                                   throws IOException

      Throws:
        `IOException`

    - #### masterInbox

          public static String masterInbox​(Map<String,​Object> conf)
                                    throws IOException

      Throws:
        `IOException`

    - #### masterStormDistRoot

          public static String masterStormDistRoot​(Map<String,​Object> conf)
                                            throws IOException

      Throws:
        `IOException`

    - #### masterStormDistRoot

          public static String masterStormDistRoot​(Map<String,​Object> conf,
                                                   String stormId)
                                            throws IOException

      Throws:
        `IOException`

    - #### getTopoLogsUsers

          public static List<String> getTopoLogsUsers​(Map<String,​Object> topologyConf)

    - #### getTopoLogsGroups

          public static List<String> getTopoLogsGroups​(Map<String,​Object> topologyConf)

    - #### supervisorTmpDir

          public static String supervisorTmpDir​(Map<String,​Object> conf)
                                         throws IOException

      Throws:
        `IOException`

    - #### supervisorIsupervisorDir

          public static String supervisorIsupervisorDir​(Map<String,​Object> conf)
                                                 throws IOException

      Throws:
        `IOException`

    - #### supervisorState

          public static LocalState supervisorState​(Map<String,​Object> conf)
                                            throws IOException

      Throws:
        `IOException`

    - #### absoluteHealthCheckDir

          public static String absoluteHealthCheckDir​(Map<String,​Object> conf)

    - #### getLogMetaDataFile

          public static File getLogMetaDataFile​(String fname)

    - #### getLogMetaDataFile

          public static File getLogMetaDataFile​(Map<String,​Object> conf,
                                                String id,
                                                Integer port)

    - #### masterStormJarPath

          public static String masterStormJarPath​(String stormRoot)

    - #### supervisorStateImpl

          public LocalState supervisorStateImpl​(Map<String,​Object> conf)
                                         throws IOException

      Throws:
        `IOException`

    - #### nimbusTopoHistoryStateImpl

          public LocalState nimbusTopoHistoryStateImpl​(Map<String,​Object> conf)
                                                throws IOException

      Throws:
        `IOException`

    - #### getLocalizerUpdateBlobInterval

          public static int getLocalizerUpdateBlobInterval​(Map<String,​Object> conf)